pydo.projects.assign_resources_default()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.projects.assign_resources_default(
body={
"resources": [...],
},
)Description
To assign resources to your default project, send a POST request to /v2/projects/default/resources.
You must have both project:assign_resource and <resource>:read scopes to assign new resources. For example, to assign a Droplet to the default project, include both the project:assign_resource and droplet:read scopes. The project:update scope also grants project:assign_resource.
Parameters
resourcesarray of strings optionalExample:
['do:droplet:13457723']A list of uniform resource names (URNs) to be added to a project. Only resources that you are authorized to see will be returned.
Request Sample
Response Example
More Information
See /v2/projects/default/resources in the API reference for additional detail on responses, headers, parameters, and more.